
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class SierpinskiDisplay : public iglu::IGLUDisplayMode {
public:
	SierpinskiDisplay() : IGLUDisplayMode() {}
	virtual ~SierpinskiDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "IGLU Transform Feedback Fractal"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "Transform feedback is a way of passing results from GPU computations "
			   "back into the GPU without the CPU touching it (or even displaying anything).  "
			   "IGLU tries to make this easier by somewhat encapsulating OpenGL transform "
			   "feedback capabilities."; 
	}

private:

};